package com.hys.app.model.base.vo;

import java.io.Serializable;

/**
 * 短信业务传递参数使用vo
 *
 * @author zh
 * @version v7.0
 * @since v7.0
 * 2018年3月25日 下午3:20:17
 */
public class SmsSendVO implements Serializable {

    private static final long serialVersionUID = -6222644764379603685L;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 手机短信内容
     */
    private String content;
    /**
     * 短信模板code(第三方返回的)
     */
    private String templateCode;
    /**
     * 短信模板变量(JSON格式)
     */
    private String templateParam;


    /**
     * 短信业务类型(记录日志用)
     */
    private String serviceType;
    /**
     * 短信模板id(记录日志用)
     */
    private Long templateId;
    /**
     * 发送短信后返回的回执id(记录日志用)
     */
    private String bizId;


    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getTemplateParam() {
        return templateParam;
    }

    public void setTemplateParam(String templateParam) {
        this.templateParam = templateParam;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public String getServiceType() {
        return serviceType;
    }

    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    @Override
    public String toString() {
        return "SmsSendVO [mobile=" + mobile + ", context=" + content + "]";
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((content == null) ? 0 : content.hashCode());
        result = prime * result + ((mobile == null) ? 0 : mobile.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        SmsSendVO other = (SmsSendVO) obj;
        if (content == null) {
            if (other.content != null) {
                {
                    return false;
                }
            }
        } else if (!content.equals(other.content)) {
            return false;
        }
        if (mobile == null) {
            if (other.mobile != null) {
                {
                    return false;
                }
            }
        } else if (!mobile.equals(other.mobile)) {
            return false;
        }
        return true;
    }


}
